[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# EHeapMemoryError

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Heap memory error

## Declaration

Source position: sysutilh.inc line 161

`type EHeapMemoryError = class(Exception)`
`public`
`procedure FreeInstance; override;` |  | Free the exception instance
`end;`

## Inheritance

`EHeapMemoryError` |  | Heap memory error
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

EHeapMemoryError is raised when an error occurs in heap (dynamically allocated) memory.

## See also

EHeapException |  | Heap exception
EoutOfMemory |  | Out of memory error.
EInvalidPointer |  | Invalid pointer operation